import request from '@/utils/request';

export async function getAccount(params) {
  return request('/tos/user/getAllInfrom', {
    method: 'POST',
    data: params,
  });
}

export async function delAccount(params) {
  return request('/tos/users/del', {
    method: 'POST',
    data: params,
  });
}

export async function saveAccount(params) {
  return request('/tos/users/save', {
    method: 'POST',
    data: params,
  });
}

export async function getAllLeader(params) {
  return request('/users/getAllLeader', {
    method: 'POST',
    data: params,
  });
}

export async function checkAccountByName(params) {
  return request('/tos/checkAccount/username', {
    method: 'POST',
    data: params,
  });
}

export async function quitAndUser(params) {
  return request('/tos/users/quitAndUser', {
    method: 'POST',
    data: params,
  });
}
